=== debian/changelog ===
generator-scripting-language (4.1.5-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * d/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to fix FTBFS with
    CMake 4 (Closes: #1112945)
  * Build depend on libcrypt-dev (Closes: #1106982)
  * d/control: bump Standards-Version to 4.7.2, no changes
  * d/copyright: fix path to sflstr.c
  * d/patches: fix some metadata

  [ Nilesh Patra ]
  * d/rules: fix cross compilation (Closes: #1110323)

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Oct 2025 15:26:58 +0100

generator-scripting-language (4.1.5-4) unstable; urgency=medium

  * Merge pull request #1 from debian-janitor/lintian-fixes
  * Backport patch to fix Loongarch64 build (Closes: #1051448)
  * Set Rules-Requires-Root: no
  * Bump debhelper-compat to 13
  * Bump Standards-version to 4.7.0
  * Vendor pcre3
  * debian/pcre3: remove unneeded files
  * Build using the vendored static libpcre.a (Closes: #1000118)

 -- Luca Boccassi <bluca@debian.org>  Mon, 03 Jun 2024 22:53:57 +0100

generator-scripting-language (4.1.5-3) unstable; urgency=medium

  * Add fix-ia64.patch and fix-riscv64.patch to fix FTBS on ia64 and
    riscv64.
  * Bump Standards-Version to 4.1.4, no changes.
  * Remove --parallel from dh, as it is enabled by default.

 -- Luca Boccassi <bluca@debian.org>  Sun, 29 Apr 2018 17:10:13 +0100

generator-scripting-language (4.1.5-2) unstable; urgency=medium

  * Add copyright notice for sflstr.c and MIT license.
    (Closes: #878932)
  * Add fix-sparc64.patch to fix FTBS on Sparc 64. (Closes: #879023)
  * Add fix-mips64el.patch to fix FTBS on mips64el.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Oct 2017 11:20:30 +0100

generator-scripting-language (4.1.5-1) unstable; urgency=low

  * Initial packaging. (Closes: #874426)

 -- Luca Boccassi <bluca@debian.org>  Sat, 14 Oct 2017 18:31:54 +0100
