=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-include /usr/share/dpkg/buildtools.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    PAR := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(PAR)
endif

%:
	dh $@

export CCLIBS=$(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)/libpcre.a
export DEB_CPPFLAGS_MAINT_APPEND=-I$(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)/

execute_after_dh_auto_clean:
	rm -rf $(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)

override_dh_auto_build:
	mkdir -p $(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE)
	cd $(CURDIR)/debian/pcre3-$(DEB_HOST_GNU_TYPE) && \
		cmake ../pcre3 \
			-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
			-DCMAKE_CXX_COMPILER=$(CXX) \
			-DCMAKE_C_COMPILER=$(CC) \
			-DPCRE_SUPPORT_UTF=ON \
			-DPCRE_SUPPORT_UNICODE_PROPERTIES=ON \
			-DPCRE_BUILD_PCRECPP=OFF \
			-DPCRE_BUILD_PCREGREP=OFF \
			-DPCRE_BUILD_TESTS=OFF \
			-DPCRE_SUPPORT_LIBZ=OFF \
			-DPCRE_SUPPORT_LIBBZ2=OFF \
			-DPCRE_SUPPORT_LIBREADLINE=OFF && \
		$(MAKE) CC="$(CC)"
	dh_auto_build -- CC="CCNAME=$(CC) ./c -q"
