## generator-scripting-language 1483994693.b4adc4a

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #
 # Makefile for iMatix GSL/4.1
 #
-# Copyright (c) 1996-2016 iMatix Corporation
-#               2016-2017 GSL Developers
+# Copyright (c) 1996-2010 iMatix Corporation
 # All rights reserved.
 #
 # This file is licensed under the BSD license as follows:
@@ -39,10 +38,8 @@
 # Installation directories, good for Debian Packaging
 DESTDIR ?= /usr/local
 prefix = ${DESTDIR}
-mandir = ${prefix}/share/man/man1
+mandir = ${prefix}/share/man/man8
 bindir = ${prefix}/bin
-
-RM ?= rm -f
 
 # Default values for object, library, and executable extensions.
 #
@@ -52,8 +49,6 @@
 DBG =
 CC = ./c -q
 export CCLIBS = -lpcre
-
-CPPFLAGS ?= -I/usr/include/pcre
 
 # Reset the suffixes that will be considered to just our own list.
 #
@@ -188,41 +183,17 @@
 smtxlog$(OBJ): smtxlog.c
 
 everything: libgsl$(LIB) gsl$(EXE)
+	./gsl -v
 
 code:
-	./gsl$(EXE) -q ggconv.gxl ggdiag.gxl ggenvt.gxl ggfile.gxl gggsl.gxl ggmath.gxl ggpcre.gxl ggproc.gxl ggscrp.gxl ggsock.gxl ggstrn.gxl ggsymb.gxl ggthrd.gxl ggtime.gxl ggxml.gxl
+	gsl -q ggconv.gxl ggdiag.gxl ggenvt.gxl ggfile.gxl gggsl.gxl ggmath.gxl ggpcre.gxl ggproc.gxl ggscrp.gxl ggsock.gxl ggstrn.gxl ggsymb.gxl ggthrd.gxl ggtime.gxl ggxml.gxl
 
 headers:
 	cat gghead.h ggcomm.h ggpars.h ggparsm.h ggscrp.h ggscop.h ggobjt.h ggsymb.h gggsl.h ggcode.h ggcodem.h ggfile.h ggstrn.h ggenvt.h ggconv.h ggmath.h ggsock.h ggthrd.h ggxml.h ggtime.h ggpcre.h ggdiag.h ggproc.h > gsl.h
 
-test: everything
-	./gsl -v
-
-check: gsl$(EXE)
-	./gsl$(EXE) testall
-	./gsl$(EXE) teststr
-
 install:
-	$(INSTALL) -m 755 -d "$(bindir)"
-	$(INSTALL) -m 755 gsl "$(bindir)"
-	$(INSTALL) -m 755 -d "$(mandir)"
-	$(INSTALL) -m 644 gsl.1 "$(mandir)"
-
-uninstall:
-	$(RM) "$(bindir)/gsl"
-	$(RM) "$(mandir)/gsl.1"
-	@if test -d "$(bindir)" ; then \
-	    if test `find "$(bindir)" | wc -l` -le 1 ; then \
-	        echo "$(RM) -r $(bindir)" >&2 ; \
-	        $(RM) -r "$(bindir)" ; \
-	    else true; fi ; \
-	else true ; fi
-	@if test -d "$(mandir)" ; then \
-	    if test `find "$(mandir)" | wc -l` -le 1 ; then \
-	        echo "$(RM) -r $(mandir)" >&2 ; \
-	        $(RM) -r "$(mandir)" ; \
-	    else true; fi ; \
-	else true ; fi
+	$(INSTALL) -m 755 -d $(bindir)
+	$(INSTALL) -m 755 gsl $(bindir)
 
 clean:
 	rm -f *.o *.a gsl
