## generator-scripting-language 1710078767.2611b3a

=== debian/changelog ===
generator-scripting-language (1710078767.2611b3a-0) UNRELEASED; urgency=low

  * Initial packaging.

 -- GSL Developers <zeromq-dev@lists.zeromq.org>  Sun, 21 Aug 2016 00:00:00 +0000
